Skip to main content

List User Groups

GET 

/tenants/:tid/groups

List the user groups of a tenant. The returned group information may include optional group name and description if the user making the request is associated with the same tenancy as the group.

The following query parameters allow customizing the listing.

Sorting

Sorting Examples

?sort_by=name
&sort_descending=true
  • Query param sort_by: the field to sort on. Possible values: name|description. Defaults to name
  • Query param sort_descending: false for ascending sort order, true for descending sort order. Default: false (ascending)

Paging

Paging Examples

?start=20
&limit=10
  • Query param start: index of the first user group to retrieve. Leave empty to start from the beginning.
  • Query param limit: integer specifying the number of user groups to return. Default: 100.

Request

Responses

The list of user groups.